> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Dosyayı Al

> Tek bir yüklenmiş dosyanın metadata'sını alır.

## Genel Bakış

Bu endpoint, TokenLab'nın OpenAI uyumlu Batch API dosya nesnelerine hizmet eder.

İstek Anthropic Files uyumluluk moduna geçtiğinde, aynı route bağlı workspace için Anthropic tarzı dosya metadata'sını da döndürebilir.

Anthropic başlıkları yoksa bu route batch dosya objesi veya TokenLab görüntü/referans dosya objesi döndürebilir.

## Notlar

* Batch giriş dosyaları `purpose=batch` kullanmalıdır.
* `completion_window` şu anda `24h`'dir.
* Output sırası garanti edilmez; her zaman `custom_id` ile eşleştirin.
* Streaming, batch öğelerinin içinde desteklenmez.

## Örnek

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.tokenlab.sh/v1/files/file_abc123" \
    -H "Authorization: Bearer sk-your-api-key"
  ```
</RequestExample>

## İstek / Yanıt

Kesin şema için yukarıdaki etkileşimli OpenAPI panelini kullanın.

## Operasyonel İpuçları

* Downstream mutabakatı idempotent yapmak için `custom_id` kullanın.
* `output_file_id` ve `error_file_id` yalnızca worker batch'i tamamladıktan sonra beklenmelidir.
* `isBatchRequest=true` indirim kuralları uygulandığı için batch fiyatlandırması senkron fiyatlandırmadan farklı olabilir.

## Yanıt örneği

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": "file_abc123",
    "object": "file",
    "bytes": 32768,
    "created_at": 1706000000,
    "filename": "batch-input.jsonl",
    "purpose": "batch"
  }
  ```
</ResponseExample>

## Önemli alanlar

<ResponseField name="id" type="string">İlgili API’lerde kullanılan file identifier.</ResponseField>
<ResponseField name="filename" type="string">Özgün veya oluşturulmuş dosya adı.</ResponseField>
<ResponseField name="purpose" type="string">Sahip iş akışının kullandığı dosya purpose değeri; örneğin `batch`, `batch_output`, `user_data` veya `vision`.</ResponseField>
